function [vTAS] = f_convert_CAS_2_TAS(vCAS,H, deltaT) 

%<<<<<<<<<<<<<<<<< constants >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
g      = 9.80665; % [m/s^2]
R      = 287.058; % [J/(kg K)]
kappa  = 1.4;
L      = 6.5*10^-3; % [K/m]
... ISA values, MSL:  
p0        = 10325; % [Pa]
% rho0      = 1.225; % [kg/m^3]
T0_ISA    = 288.15; % [K]
% H         = H *0.3048; % [ft] => [m]
... corrected reference values based on deltaT & H, MSL:
... temperature, MSL
T0        = T0_ISA + deltaT ;% [K]
... corrected reference values based on dT, MSL:
dT    = T0 - T0_ISA;
...temperature, density, pressure @ height H:
T    = T0 - L*H;
% rho  = rho0 *(1-L*H/(T0+dT))^(g/(R*L)-1);
p    = p0   *(1-L*H/(T0+dT))^(g/(R*L));

a0   = sqrt(T0*R*kappa)  ;
a    = sqrt(T*R*kappa)  ;

% sigma = rho/rho0;
% delta = p/p0;
% theta = T/T0;
% vEAS     = a0 * sqrt(5*delta*((1/delta*((1+0.2*(vCAS/a0)^2 )^3.5-1)+1)^(1/3.5)-1));
% vTAS   = vEAS / sqrt(sigma) ;

% ...dynamic pressure:
qc = p0*(  ( (kappa-1)/2 *(vCAS/a0)^2 + 1 )^(kappa/(kappa-1))  -1 );
% ...True Airspeed:
vTAS    = a *sqrt( 2/(kappa-1) *( (qc/p+1)^((kappa-1)/kappa) -1) );


return